Bug 53599 - Xconfigurator --kickstart fails on IBM Thinkpad
Xconfigurator --kickstart fails on IBM Thinkpad
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-12 12:21 EDT by Peter Fales
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-11 15:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Fales 2001-09-12 12:21:35 EDT
Description of Problem:

We had a system where Xconfigurator  --kickstart fails to generate a valid
XF86Config-4 file.  It works when run manually, but not not in kickstart
mode.
One key difference is that in manual mode, it inserts a custom 1400x1050
modeline
and sets the display size to 1400x1050.  In kickstart mode, it limits
itself to 1024x768


How Reproducible:

Always

Steps to Reproduce:
1.  Xconfigurator --kickstart --monitor 'Generic Laptop Display Panel
1400x1050' 

Actual Results:

Generated XF86Config file has a display size of 1024x768, which doesn't
work properly

Expected Results:

Should have set display to 1400x1050

Additional Information:

It works properly when you run Xconfigurator without --kickstart, and
select "Generic Laptop
Display Panel 1400x1050" as the monitor.  I did some gdb testing, and I
think it may be that
the code that finds the special 1400x1050 mode is in findCombo() which is
never called when
--kickstart is used.
Comment 1 Mike A. Harris 2002-07-26 09:04:54 EDT
Xconfigurator is now considered obsolete.  It is replaced in rawhide
by redhat-config-xfree86.

Note You need to log in before you can comment on or make changes to this bug.